package com.hw.mes.service;

import java.util.List;
import com.hw.mes.domain.MesProjectInfo;

/**
 * 项目信息Service接口
 * 
 * @author Yinq
 * @date 2024-02-19
 */
public interface IMesProjectInfoService 
{
    /**
     * 查询项目信息
     * 
     * @param projectId 项目信息主键
     * @return 项目信息
     */
    public MesProjectInfo selectMesProjectInfoByProjectId(Long projectId);

    /**
     * 查询项目信息列表
     * 
     * @param mesProjectInfo 项目信息
     * @return 项目信息集合
     */
    public List<MesProjectInfo> selectMesProjectInfoList(MesProjectInfo mesProjectInfo);

    /**
     * 新增项目信息
     * 
     * @param mesProjectInfo 项目信息
     * @return 结果
     */
    public int insertMesProjectInfo(MesProjectInfo mesProjectInfo);

    /**
     * 修改项目信息
     * 
     * @param mesProjectInfo 项目信息
     * @return 结果
     */
    public int updateMesProjectInfo(MesProjectInfo mesProjectInfo);

    /**
     * 批量删除项目信息
     * 
     * @param projectIds 需要删除的项目信息主键集合
     * @return 结果
     */
    public int deleteMesProjectInfoByProjectIds(Long[] projectIds);

    /**
     * 删除项目信息信息
     * 
     * @param projectId 项目信息主键
     * @return 结果
     */
    public int deleteMesProjectInfoByProjectId(Long projectId);
}
